Package groovy.text

# Class TemplateEngine

java.lang.Object
groovy.text.TemplateEngine

Direct Known Subclasses:
  `GStringTemplateEngine`, `MarkupTemplateEngine`, `SimpleTemplateEngine`, `StreamingTemplateEngine`, `XmlTemplateEngine`

    public abstract class TemplateEngine
    extends Object

A template engine is a factory for creating a Template instance for a given text input.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TemplateEngine()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Template` | `createTemplate​(File file)` | Creates a template from the File contents.
  `Template` | `createTemplate​(File file, Charset cs)` | Creates a template from the File contents using the given charset encoding.
  `abstract Template` | `createTemplate​(Reader reader)` | Creates a template by reading content from the Reader.
  `Template` | `createTemplate​(String templateText)` | Creates a template from the String contents.
  `Template` | `createTemplate​(URL url)` | Creates a template from the content found at the URL using the default encoding.
  `Template` | `createTemplate​(URL url, Charset cs)` | Creates a template from the content found at the URL using the given charset encoding.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateEngine

    public TemplateEngine()

- ## Method Details

  - ### createTemplate

    public abstract Template createTemplate​(Reader reader) throws CompilationFailedException, ClassNotFoundException, IOException
    Creates a template by reading content from the Reader.
    Throws:
      `CompilationFailedException`
      `ClassNotFoundException`
      `IOException`

  - ### createTemplate

    public Template createTemplate​(String templateText) throws CompilationFailedException, ClassNotFoundException, IOException
    Creates a template from the String contents.
    Throws:
      `CompilationFailedException`
      `ClassNotFoundException`
      `IOException`

  - ### createTemplate

    public Template createTemplate​(File file) throws CompilationFailedException, ClassNotFoundException, IOException
    Creates a template from the File contents. If the encoding for the file can be determined, that encoding will be used, otherwise the default encoding will be used. Consider using `createTemplate(File, Charset)` if you need to explicitly set the encoding.
    Throws:
      `CompilationFailedException`
      `ClassNotFoundException`
      `IOException`

  - ### createTemplate

    public Template createTemplate​(File file, Charset cs) throws CompilationFailedException, ClassNotFoundException, IOException
    Creates a template from the File contents using the given charset encoding.
    Throws:
      `CompilationFailedException`
      `ClassNotFoundException`
      `IOException`

  - ### createTemplate

    public Template createTemplate​(URL url) throws CompilationFailedException, ClassNotFoundException, IOException
    Creates a template from the content found at the URL using the default encoding. Please consider using `createTemplate(URL, Charset)`.
    Throws:
      `CompilationFailedException`
      `ClassNotFoundException`
      `IOException`

  - ### createTemplate

    public Template createTemplate​(URL url, Charset cs) throws CompilationFailedException, ClassNotFoundException, IOException
    Creates a template from the content found at the URL using the given charset encoding.
    Throws:
      `CompilationFailedException`
      `ClassNotFoundException`
      `IOException`